<?php
include("../BD/dados.php");
include("../BD/conecta.php"); 
//header("Content-Type:application/json");
if(!empty($_GET['tipoRequisicao'])){
  $tipoRequisicao = $_GET["tipoRequisicao"];
  if($tipoRequisicao == "produtos"){
	  $sincronizacao = substr($_GET["sincronizacao"], 8, 2)."/".substr($_GET["sincronizacao"], 5, 2)."/".substr($_GET["sincronizacao"], 0, 4)." ".substr($_GET["sincronizacao"], 11, 8); 
	$buscaProdutos = "SELECT Produto, Descricao, Aplicacao, Grupo, round(Preco_Tabela * 100, 0) Preco_Tabela, Sincronizacao, Tabela FROM $dbname.$schema.Cad_Produtos Cad_Produtos WHERE Produto <> '0000' AND Inativo = 'F' AND Site = 'T' AND (Sincronizacao IS NULL OR Sincronizacao > '".$sincronizacao."')";
	//echo $buscaProdutos;
	$dados = abre_bd($buscaProdutos);	  
	$buscaProdutos = "UPDATE $dbname.$schema.Cad_Produtos SET Sincronizacao = '".date("d/m/Y h:i")."' WHERE Inativo = 'F' AND Site = 'T' AND Sincronizacao IS NULL";
	//echo $buscaProdutos;
	exec_SQL($buscaProdutos);
	$qtd = count($dados) - 1;
	for ($n = 0; $n < $qtd; ++$n){
	  $response["produto"][$n]["codigo"] = utf8_encode($dados[$n]["Produto"]);
	  $response["produto"][$n]["descricao"] = utf8_encode($dados[$n]["Descricao"]);
	  $response["produto"][$n]["aplicacao"] = utf8_encode($dados[$n]["Aplicacao"]);
	  $response["produto"][$n]["grupo"] = utf8_encode($dados[$n]["Grupo"]);
	  $response["produto"][$n]["tabela"] = utf8_encode($dados[$n]["Tabela"]);
	  $response["produto"][$n]["preco"] = $dados[$n]["Preco_Tabela"] / 100;
	  $response["produto"][$n]["sincronizacao"] = substr($dados[$n]["Sincronizacao"], 0, 19);
	}
	if (isset($response))
	  deliver_response(200,"produtos encontrados",$response);
	else
	  deliver_response(400,"Request is not valid","Produtos atualizados");
  } else if ($tipoRequisicao == "grupos"){
	  $sincronizacao = substr($_GET["sincronizacao"], 8, 2)."/".substr($_GET["sincronizacao"], 5, 2)."/".substr($_GET["sincronizacao"], 0, 4)." ".substr($_GET["sincronizacao"], 11, 8); 
	$buscaProdutos = "SELECT Grupo, Descricao, Sincronizacao FROM $dbname.$schema.Cad_Grupos Cad_Grupos WHERE (Sincronizacao IS NULL OR Sincronizacao > '".$sincronizacao."') AND Grupo IN (SELECT Grupo FROM $dbname.$schema.Cad_Produtos WHERE Inativo = 'F' AND Site = 'T')";
	//echo $buscaProdutos;
	$dados = abre_bd($buscaProdutos);	  
	$buscaProdutos = "UPDATE $dbname.$schema.Cad_Grupos SET Sincronizacao = '".date("d/m/Y h:i")."' WHERE Grupo IN (SELECT Grupo FROM $dbname.$schema.Cad_Produtos WHERE Inativo = 'F' AND Site = 'T') AND Sincronizacao IS NULL";
	//echo $buscaProdutos;
	exec_SQL($buscaProdutos);
	$qtd = count($dados) - 1;
	for ($n = 0; $n < $qtd; ++$n){
	  $response["grupo"][$n]["codigo"] = utf8_encode($dados[$n]["Grupo"]);
	  $response["grupo"][$n]["descricao"] = utf8_encode($dados[$n]["Descricao"]);
	  $response["grupo"][$n]["sincronizacao"] = substr($dados[$n]["Sincronizacao"], 0, 19);
	}
	if (isset($response))
	  deliver_response(200,"produtos encontrados",$response);
	else
	  deliver_response(400,"Request is not valid","Produtos atualizados");
  } else if ($tipoRequisicao == "compras"){
	$buscaProdutos = "SELECT Pedidos.Chave, Pedidos.Emissao, MovimentoPedidos.Produto, ABS(MovimentoPedidos.Quantidade) Quantidade, round(MovimentoPedidos.Preco * 100, 0) Preco, 0 Status FROM $dbname.$schema.Pedidos Pedidos INNER JOIN $dbname.$schema.MovimentoPedidos MovimentoPedidos ON Pedidos.Chave = MovimentoPedidos.Chave1 WHERE Pedidos.Cancelado IS NULL AND Pedidos.Cliente = '".$_GET["cliente"]."'";
	$buscaProdutos .= " UNION ALL "; 
	$buscaProdutos .= "SELECT top(15) Vendas.Documento, Vendas.Emissao, Estoque.Produto, ABS(Estoque.Quantidade) Quantidade, round(Estoque.Preco * 100, 0) Preco, 1 Status FROM $dbname.$schema.Vendas Vendas INNER JOIN $dbname.$schema.Estoque Estoque ON Vendas.Chave = Estoque.Chave1 WHERE Vendas.Cancelado IS NULL AND Vendas.Cliente = '".$_GET["cliente"]."'";
	//echo $buscaProdutos;
	$dados = abre_bd($buscaProdutos);	  
	$qtd = count($dados) - 1;
	for ($n = 0; $n < $qtd; ++$n){
	  $response["compras"][$n]["chave"] = $dados[$n]["Chave"];
	  $response["compras"][$n]["emissao"] = substr($dados[$n]["Emissao"], 8, 2)."/".substr($dados[$n]["Emissao"], 5, 2)."/".substr($dados[$n]["Emissao"], 0, 4);
	  $response["compras"][$n]["produto"] = $dados[$n]["Produto"];
	  $response["compras"][$n]["quantidade"] = $dados[$n]["Quantidade"];
  	  $response["compras"][$n]["preco"] = $dados[$n]["Preco"] / 100;
	  $response["compras"][$n]["status"] = $dados[$n]["Status"];
	}
	if (isset($response))
	  deliver_response(200,"produtos encontrados",$response);
	else
	  deliver_response(400,"Request is not valid","Produtos atualizados");
  } 
  
}

function deliver_response($status,$status_message,$data){
header("HTTP/1.1 $status $status_message") ;
$json_response = json_encode($data);
echo $json_response;
}
 
function enviaEmail($documento, $vendedor){
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => "http://localhost:8081/SingemMobileService/comprovante.php?documento=".$documento."&vendedor=".$vendedor,
  CURLOPT_RETURNTRANSFER => false
));
$resp = curl_exec($curl);
curl_close($curl);
}
?>
