<?php 
include("../BD/dados.php");
include("../BD/conecta.php"); 
if (isset($_GET["bd"])) $dbname = $_GET["bd"];
header("Content-Type:application/json");
$inputJSON = file_get_contents('php://input');
$requisicao = json_decode( $inputJSON, TRUE ); //convert JSON into array
if ($requisicao["pedido"][0]["tipoSolicitacao"] == "atualizarProduto"){
  $sql = "UPDATE $dbname.$schema.Cad_Produtos SET Sincronizacao = '".date("d/m/Y H:i:s")."' WHERE Inativo = 'F' AND Site = 'T' AND Sincronizacao IS NULL";
  $dados = exec_sql($sql);
  $sql = "SELECT Produto, Descricao, Aplicacao, ROUND(Preco_Tabela * 100, 0) Preco_Tabela, Grupo, Sincronizacao FROM $dbname.$schema.Cad_Produtos WHERE Inativo = 'F' AND Site = 'T' AND Sincronizacao > '".$requisicao["pedido"][0]["sincronizacao"]."'";
  $dados = abre_bd($sql);
  for ($n = 0; $n < count($dados) - 1; $n++){
	$resposta["produto"][$n]["codigo"] = utf8_encode($dados[$n]["Produto"]);
	$resposta["produto"][$n]["descricao"] = utf8_encode($dados[$n]["Descricao"]);
	$resposta["produto"][$n]["aplicacao"] = utf8_encode($dados[$n]["Aplicacao"]);
	$resposta["produto"][$n]["preco"] = $dados[$n]["Preco_Tabela"] / 100;
	$resposta["produto"][$n]["grupo"] = $dados[$n]["Grupo"];
	$resposta["produto"][$n]["sincronizacao"] = $dados[$n]["Sincronizacao"];
  }
  if (isset($resposta))
	entregaResposta(200, "produtos encontrados", $resposta);
  else
	entregaResposta(400, "Request is not valid", "Produtos atualizados");
} else if ($requisicao["pedido"][0]["tipoSolicitacao"] == "atualizarGrupo"){
  $sql = "UPDATE $dbname.$schema.Cad_Grupos SET Sincronizacao = '".date("d/m/Y H:i:s")."' WHERE Grupo IN (SELECT Grupo FROM $dbname.$schema.Cad_Produtos WHERE Inativo = 'F' AND Site = 'T') AND Sincronizacao IS NULL";
  $dados = exec_sql($sql);
  $sql = "SELECT Grupo, Descricao, Sincronizacao FROM $dbname.$schema.Cad_Grupos WHERE Grupo IN (SELECT Grupo FROM $dbname.$schema.Cad_Produtos WHERE Inativo = 'F' AND Site = 'T') AND Sincronizacao > '".$requisicao["pedido"][0]["sincronizacao"]."'";
  $dados = abre_bd($sql);
  for ($n = 0; $n < count($dados) - 1; $n++){
	$resposta["grupo"][$n]["codigo"] = utf8_encode($dados[$n]["Grupo"]);
	$resposta["grupo"][$n]["descricao"] = utf8_encode($dados[$n]["Descricao"]);
	$resposta["grupo"][$n]["sincronizacao"] = $dados[$n]["Sincronizacao"];
  }
  if (isset($resposta))
	entregaResposta(200, "grupos encontrados", $resposta);
  else
	entregaResposta(400, "Request is not valid", "Grupos atualizados");
} else if ($requisicao["pedido"][0]["tipoSolicitacao"] == "atualizarCliente"){
  $sql = "UPDATE $dbname.$schema.Cad_Clientes SET Sincronizacao = '".date("d/m/Y H:i:s")."' WHERE Sincronizacao IS NULL";
  $dados = exec_sql($sql);
  $sql = "SELECT Cliente, Nome, EMail, CGC, Fantasia, Inscricao, SenhaSite, Sincronizacao FROM $dbname.$schema.Cad_Clientes WHERE bloqueio = 'F' AND SenhaSite IS NOT NULL AND Sincronizacao > '".$requisicao["pedido"][0]["sincronizacao"]."'";
  $dados = abre_bd($sql);
  for ($n = 0; $n < count($dados) - 1; $n++){
	$resposta["cliente"][$n]["codigo"] = utf8_encode($dados[$n]["Cliente"]);
	$resposta["cliente"][$n]["nome"] = utf8_encode($dados[$n]["Nome"]);
	$resposta["cliente"][$n]["login"] = utf8_encode($dados[$n]["EMail"]);
	$resposta["cliente"][$n]["cnpj"] = utf8_encode($dados[$n]["CGC"]);
	$resposta["cliente"][$n]["fantasia"] = utf8_encode($dados[$n]["Fantasia"]);
	$resposta["cliente"][$n]["inscricao"] = utf8_encode($dados[$n]["Inscricao"]);
	$resposta["cliente"][$n]["email"] = utf8_encode($dados[$n]["EMail"]);
	$resposta["cliente"][$n]["senha"] = utf8_encode($dados[$n]["SenhaSite"]);
	$resposta["cliente"][$n]["sincronizacao"] = $dados[$n]["Sincronizacao"];
  }
  if (isset($resposta))
	entregaResposta(200, "clientes encontrados", $resposta);
  else
	entregaResposta(400, "Request is not valid", "Produtos atualizados");
} else if ($requisicao["pedido"][0]["tipoSolicitacao"] == "finalizarVendaCabecalho"){
  $prevendaMaximo = "SELECT MAX(Chave) Chave FROM $dbname.$schema.NumeracaoPedido";
  $dados = abre_bd($prevendaMaximo);
  if (empty($dados[0]["Chave"])) 
    $codigoPrevenda = '00001'; 
  else 
    $codigoPrevenda = str_pad(($dados[0]["Chave"] + 1), 5, "0");
  $inserePedido = "UPDATE ".$dbname.".".$schema.".NumeracaoPedido SET Chave = '".$codigoPrevenda."'";
  exec_sql($inserePedido); 
	
  $inserePrevenda = "INSERT INTO $dbname.$schema.Pedidos(Chave, Emissao, Documento, Cliente, Emissor, Prioridade, Entrega, Vendedor, ComissVendedor, Classificacao, TpRecebimento, Desconto, Cotacao, ICMSubst, ER, Atendido, Bloqueado, Conferencia, Area) VALUES('".$codigoPrevenda."', '".date("d/m/Y")."', '".$codigoPrevenda."', '".$requisicao["pedido"][0]["codigoCliente"]."', 'Vendas Online', '01', '".date("d/m/Y")."', (SELECT Vendedor FROM $dbname.$schema.Cad_Clientes Cad_Clientes WHERE Cad_Clientes.Cliente = '".$requisicao["pedido"][0]["codigoCliente"]."'), (SELECT Comissao FROM $dbname.$schema.Cad_Clientes Cad_Clientes WHERE Cad_Clientes.Cliente = '".$requisicao["pedido"][0]["codigoCliente"]."'), '00', (SELECT Prazo FROM $dbname.$schema.Cad_Clientes Cad_Clientes WHERE Cad_Clientes.Cliente = '".$requisicao["pedido"][0]["codigoCliente"]."'), 'F', 'F', 'F', 'F', 'F', 'T', 'F', (SELECT Area FROM $dbname.$schema.Cad_Clientes WHERE Cliente = '".$requisicao["pedido"][0]["codigoCliente"]."'))";
  //echo($inserePrevenda)."<BR>"; 
  if (exec_sql($inserePrevenda))
    echo $codigoPrevenda;
  else
    echo "erro";
} else if ($requisicao["pedido"][0]["tipoSolicitacao"] == "finalizarVendaItem" || $requisicao["pedido"][0]["tipoSolicitacao"] ==  "finalizarVendaCarrinho"){
  $resposta = "ok";  
  for ($n = 0; $n < count($requisicao["pedido"]); $n++){
    $buscaPrevendas = "INSERT INTO $dbname.$schema.MovimentoPedidos(Chave1, Data, Produto, Descricao, ComissVendedor, Unidade, Quantidade, Preco, Tipo, Cancelado, UnidadeConversao, CCadastro, Desconto) VALUES('".$requisicao["pedido"][$n]["chave"]."', '".date("d/m/Y")."', '".addslashes($requisicao["pedido"][$n]["codigoProduto"])."', (SELECT Descricao FROM $dbname.$schema.Cad_Produtos Cad_Produtos WHERE Cad_Produtos.Produto = '".addslashes($requisicao["pedido"][$n]["codigoProduto"])."'), (SELECT Comissao FROM $dbname.$schema.Cad_Produtos Cad_Produtos WHERE Cad_Produtos.Produto = '".addslashes($requisicao["pedido"][$n]["codigoProduto"])."'), 0, 0".$requisicao["pedido"][$n]["quantidadeProduto"]." * (-1), ".$requisicao["pedido"][$n]["precoProduto"].", '".utf8_decode("Saída2")."', 'F', (SELECT Unidade FROM $dbname.$schema.Cad_Produtos Cad_Produtos WHERE Cad_Produtos.Produto = '".addslashes($requisicao["pedido"][$n]["codigoProduto"])."'), (SELECT Preco_Tabela FROM $dbname.$schema.Cad_Produtos Cad_Produtos WHERE Cad_Produtos.Produto = '".addslashes($requisicao["pedido"][$n]["codigoProduto"])."'), 0".$requisicao["pedido"][$n]["quantidadeProduto"]." * (-1))";
    //echo $buscaPrevendas."<BR><BR>"; 
    if (!exec_sql($buscaPrevendas)) $resposta = "erro";
  }
  echo $resposta;
}


function entregaResposta($status, $status_mensagem, $dados){
header("HTTP/1.1 $status $status_mensagem") ;
$json_response = json_encode($dados);
echo $json_response;
}
?>